> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # List All Permissions > Returns the list of permissions from the workspace. ### Changelog | Version | Description | | ---------------- | ------------| |0.73.0 | Added | ## OpenAPI ````json GET /api/v1/permissions.listAll { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "User Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "LDAP" }, { "name": "Permissions" }, { "name": "Roles" }, { "name": "Users" }, { "name": "SAML" } ], "paths": { "/api/v1/permissions.listAll": { "get": { "tags": [ "Permissions" ], "summary": "List All Permissions", "description": "Returns the list of permissions from the workspace.\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|0.73.0 | Added |", "operationId": "get-permissions.listAll", "parameters": [ { "name": "updatedSince", "in": "query", "description": "Date as ISO string. If you include this parameter, the `update` and\n`remove` fields in the response will contain only those permissions\nupdated and removed since this date and time.", "schema": { "type": "string" }, "example": "2017-11-25T15:08:17.248Z" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/Auth-Token" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "update": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "_updatedAt": { "type": "string" }, "roles": { "type": "array", "items": { "type": "string" } } } } }, "remove": { "type": "array", "items": { "type": "object" } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "update": [ { "_id": "access-permissions", "_updatedAt": "2018-11-28T11:55:49.106Z", "roles": [ "admin" ] }, { "_id": "add-oauth-service", "_updatedAt": "2018-11-28T12:59:51.974Z", "roles": [ "admin", "user" ] } ], "remove": [], "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "UserId": { "name": "X-User-Id", "in": "header", "description": "The authenticated user ID.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The authenticated user token.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````